List withdrawable ERC20 balances
curl --request GET \
--url https://partner-api.bravadotrade.com/v2/trade/balances/withdrawable \
--header 'X-BRAVADO-API-KEY: <api-key>' \
--header 'X-BRAVADO-SIGNATURE: <api-key>' \
--header 'X-BRAVADO-TIMESTAMP: <api-key>'import requests
url = "https://partner-api.bravadotrade.com/v2/trade/balances/withdrawable"
headers = {
"X-BRAVADO-API-KEY": "<api-key>",
"X-BRAVADO-TIMESTAMP": "<api-key>",
"X-BRAVADO-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-BRAVADO-API-KEY': '<api-key>',
'X-BRAVADO-TIMESTAMP': '<api-key>',
'X-BRAVADO-SIGNATURE': '<api-key>'
}
};
fetch('https://partner-api.bravadotrade.com/v2/trade/balances/withdrawable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balances": [
{
"token": "<string>",
"symbol": "<string>",
"decimals": 123,
"balance": "<string>",
"value_usd": "<string>"
}
]
}trade.read
List withdrawable ERC20 balances
Returns the bound user’s ERC20 token balances on Polygon (via Allium), scaled to human decimals with zero balances dropped. Shows what can be pulled out with POST /v2/trade/withdraw (pass the token address).
GET
/
v2
/
trade
/
balances
/
withdrawable
List withdrawable ERC20 balances
